All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.export.html
Interface ExportSelectorKeysInterface

All Known Implementing Classes:
  ExportSelectorPanel

    @SASScope(value="ALL")
    public interface ExportSelectorKeysInterface

This interface defines keys used to retrieve the visual components for the ExportSelectorPanel from its component map. These keys are the component keys needed to access the components from the map via a CompositeComponentInterface. Use these keys to retrieve the subcomponents from the component map to modify component properties or replace the component entirely.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1
See Also:
  `ExportSelectorPanel`, `CompositeComponentInterface`

Field Summary
`static java.lang.String` | `EXPORTSELECTOR_COLUMNS_CHECK_BOX_LIST` Component key for the columns check box list.
`static java.lang.String` | `EXPORTSELECTOR_COLUMNS_LABEL` Component key for the label of the Columns radio box.
`static java.lang.String` | `EXPORTSELECTOR_COLUMNS_RADIO` Component key for the columns radio box.
`static java.lang.String` | `EXPORTSELECTOR_EXPORT_TO_RADIO` Component key for the 'Export to' radio box.
`static java.lang.String` | `EXPORTSELECTOR_FORMAT_CHECK` Component key for the format check box.
`static java.lang.String` | `EXPORTSELECTOR_FORMAT_LABEL` Deprecated. no more used
`static java.lang.String` | `EXPORTSELECTOR_FROM_LABEL` Component key for the from text entry label.
`static java.lang.String` | `EXPORTSELECTOR_FROM_TEXT_ENTRY` Component key for the from text entry.
`static java.lang.String` | `EXPORTSELECTOR_INCLUDE_LABEL` Deprecated. no more used
`static java.lang.String` | `EXPORTSELECTOR_INCLUDE_LEGEND_LABEL` Component key for the Include legend's label.
`static java.lang.String` | `EXPORTSELECTOR_INCLUDE_RADIO` Component key for the include radio box.
`static java.lang.String` | `EXPORTSELECTOR_LIST_BOX` Component key for the 'Export to' list box.
`static java.lang.String` | `EXPORTSELECTOR_OPTIONS_LABEL` Deprecated. no more used
`static java.lang.String` | `EXPORTSELECTOR_OPTIONS_LEGEND_LABEL` Component key for the Options legend's label.
`static java.lang.String` | `EXPORTSELECTOR_OUTPUT_LABEL` Component key for the rows label.
`static java.lang.String` | `EXPORTSELECTOR_REPEAT_ROW_LABELS_CHECK_BOX` Component key for the repeat row labels check box.
`static java.lang.String` | `EXPORTSELECTOR_ROWS_LABEL` Component key for the label of the Rows radio box.
`static java.lang.String` | `EXPORTSELECTOR_SAVE_AS_LIST_BOX` Component key for the 'Save as' list box.
`static java.lang.String` | `EXPORTSELECTOR_SAVE_AS_RADIO` Component key for the 'Save as' radio box.
`static java.lang.String` | `EXPORTSELECTOR_TO_LABEL` Component key for the to text entry label.
`static java.lang.String` | `EXPORTSELECTOR_TO_TEXT_ENTRY` Component key for the to text entry.

Field Detail

### EXPORTSELECTOR_OUTPUT_LABEL

    static final java.lang.String EXPORTSELECTOR_OUTPUT_LABEL

  Component key for the rows label. "EXPORTSELECTOR_OUTPUT_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_LIST_BOX

    static final java.lang.String EXPORTSELECTOR_LIST_BOX

  Component key for the 'Export to' list box. "EXPORTSELECTOR_LIST_BOX"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_SAVE_AS_LIST_BOX

    static final java.lang.String EXPORTSELECTOR_SAVE_AS_LIST_BOX

  Component key for the 'Save as' list box. "EXPORTSELECTOR_SAVE_AS_LIST_BOX"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_INCLUDE_LABEL

    static final java.lang.String EXPORTSELECTOR_INCLUDE_LABEL

  Deprecated. no more used
  Component key for the include radio box label. "EXPORTSELECTOR_INCLUDE_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_INCLUDE_RADIO

    static final java.lang.String EXPORTSELECTOR_INCLUDE_RADIO

  Component key for the include radio box. "EXPORTSELECTOR_INCLUDE_RADIO"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_EXPORT_TO_RADIO

    static final java.lang.String EXPORTSELECTOR_EXPORT_TO_RADIO

  Component key for the 'Export to' radio box. "EXPORTSELECTOR_EXPORT_TO_RADIO"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_SAVE_AS_RADIO

    static final java.lang.String EXPORTSELECTOR_SAVE_AS_RADIO

  Component key for the 'Save as' radio box. "EXPORTSELECTOR_SAVE_AS_RADIO"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_FROM_LABEL

    static final java.lang.String EXPORTSELECTOR_FROM_LABEL

  Component key for the from text entry label. "EXPORTSELECTOR_FROM_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_FROM_TEXT_ENTRY

    static final java.lang.String EXPORTSELECTOR_FROM_TEXT_ENTRY

  Component key for the from text entry. "EXPORTSELECTOR_FROM_TEXT_ENTRY"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_TO_LABEL

    static final java.lang.String EXPORTSELECTOR_TO_LABEL

  Component key for the to text entry label. "EXPORTSELECTOR_TO_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_TO_TEXT_ENTRY

    static final java.lang.String EXPORTSELECTOR_TO_TEXT_ENTRY

  Component key for the to text entry. "EXPORTSELECTOR_TO_TEXT_ENTRY"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_FORMAT_LABEL

    static final java.lang.String EXPORTSELECTOR_FORMAT_LABEL

  Deprecated. no more used
  Component key for the format radio box label. "EXPORTSELECTOR_FORMAT_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_FORMAT_CHECK

    static final java.lang.String EXPORTSELECTOR_FORMAT_CHECK

  Component key for the format check box. "EXPORTSELECTOR_FORMAT_CHECK"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_OPTIONS_LABEL

    static final java.lang.String EXPORTSELECTOR_OPTIONS_LABEL

  Deprecated. no more used
  Component key for the options label. "EXPORTSELECTOR_OPTIONS_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_REPEAT_ROW_LABELS_CHECK_BOX

    static final java.lang.String EXPORTSELECTOR_REPEAT_ROW_LABELS_CHECK_BOX

  Component key for the repeat row labels check box. "EXPORTSELECTOR_REPEAT_ROW_LABELS_CHECK_BOX"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_COLUMNS_CHECK_BOX_LIST

    static final java.lang.String EXPORTSELECTOR_COLUMNS_CHECK_BOX_LIST

  Component key for the columns check box list. "EXPORTSELECTOR_COLUMNS_CHECK_BOX_LIST"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_ROWS_LABEL

    static final java.lang.String EXPORTSELECTOR_ROWS_LABEL

  Component key for the label of the Rows radio box. "EXPORTSELECTOR_ROWS_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_COLUMNS_LABEL

    static final java.lang.String EXPORTSELECTOR_COLUMNS_LABEL

  Component key for the label of the Columns radio box. "EXPORTSELECTOR_COLUMNS_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_OPTIONS_LEGEND_LABEL

    static final java.lang.String EXPORTSELECTOR_OPTIONS_LEGEND_LABEL

  Component key for the Options legend's label. "EXPORTSELECTOR_OPTIONS_LEGEND_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_INCLUDE_LEGEND_LABEL

    static final java.lang.String EXPORTSELECTOR_INCLUDE_LEGEND_LABEL

  Component key for the Include legend's label. "EXPORTSELECTOR_INCLUDE_LEGEND_LABEL"

  See Also:
    Constant Field Values

### EXPORTSELECTOR_COLUMNS_RADIO

    static final java.lang.String EXPORTSELECTOR_COLUMNS_RADIO

  Component key for the columns radio box. "EXPORTSELECTOR_COLUMNS_RADIO"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.